Package org.apache.cxf.headers

# Enum Class Header.Direction

java.lang.Object
java.lang.Enum<Header.Direction>
org.apache.cxf.headers.Header.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<Header.Direction>`, `Constable`

Enclosing class:
  Header

public static enum Header.Direction extends Enum<Header.Direction>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIRECTION_IN`
  `DIRECTION_INOUT`
  `DIRECTION_OUT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Header.Direction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Header.Direction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DIRECTION_IN

    public static final Header.Direction DIRECTION_IN

  - ### DIRECTION_OUT

    public static final Header.Direction DIRECTION_OUT

  - ### DIRECTION_INOUT

    public static final Header.Direction DIRECTION_INOUT

- ## Method Details

  - ### values

    public static Header.Direction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Header.Direction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null